Lists contact-company links with cursor-based pagination and optional delta sync.

​
Query Parameters
  • updated_since
    Type: stringFormat: date-time

    Filter links updated on or after this UTC timestamp (ISO 8601)

  • include_deleted
    Type: boolean

    Include deleted links in results

  • page_size
    Type: string Pattern: ^-?(?:0|[1-9]\d*)$Format: int32

    Number of links per page (1-500, default 500)

  • cursor
    Type: string

    Opaque cursor token from previous response for pagination

  • contact_id
    Type: string

    Filter links by contact ID

  • company_id
    Type: string

    Filter links by company ID

Responses
  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/network/links
curl 'https://app.propstreet.com/api/v1/network/links?updated_since=&include_deleted=false&page_size=&cursor=&contact_id=&company_id=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": [
    {
      "id": "string",
      "contactId": "string",
      "companyId": "string",
      "jobTitle": null,
      "createdUtc": "2026-05-18T20:22:36.959Z",
      "updatedUtc": "2026-05-18T20:22:36.959Z",
      "deletedUtc": null,
      "etag": "string",
      "changeType": null,
      "changeOrigin": null
    }
  ],
  "page": {
    "nextCursor": null,
    "pageSize": "string",
    "hasMore": true
  }
}

OK

Propstreet API Documentation

DocumentationAPI Reference